<?php
if (!isset($alc_admin_part)) die('<br>Access denied '.basename(__FILE__));
if (!isset($alc_controller)) die('<br>Failed to load controller. Work program aborted '.basename(__FILE__));

if ($alc_controller->module_func_exec('modules', 'is_module_exists', 'forum_topics')) {
	$context_forum_last_topics = '';
	if (alc_common_user_access('forum_topics')) {
		$tab_prfx = $alc_controller->module_get_prop('forum_topics', 'table_prefix');
		$cur_topic_id = ($alc_item_type == 'forum_topics') ? $alc_item_id : 0;
		$sql_order_by =  $alc_controller->module_func_exec('forum_topics', 'get_topics_order_by', $alc_controller->module_get_prop('forum_topics', 'table_name'), 'pop');
		$sql_ugrp = "(`ft`.`user_groups` is null or `ft`.`user_groups`='' or `ft`.`user_groups` like '%".alc_common_real_escape_str($_SESSION['alc_user']['ugroup'])."%')";
		$sql = "select `ft`.`id`, `ft`.`user_id`, `ft`.`added`, `ft`.`title`, `ft`.`user_groups`, `fu`.`login` as `u_login`, `fu`.`name` as `u_name`, `fu`.`hide` as `u_hide`, `fu`.`blocked` as `u_blocked` from `{$tab_prfx}forum_topics` `ft` left join `{$tab_prfx}users` `fu` on `fu`.`id` = `ft`.`user_id` where `ft`.`id` <> {$cur_topic_id} and (`ft`.`forum_topic_status` = 'normal' or `ft`.`forum_topic_status` = 'lock') and {$sql_ugrp} and `ft`.`added` <= now() and `fu`.`hide` = 0 order by `ft`.`added` desc limit 5";
		$cache_dir = $alc_controller->module_get_prop('forum_topics', 'table_name').'_last_topics';
		$cache_name = $cur_topic_id.$sql_ugrp.$sql_order_by;
		$rows = array();
		if ($alc_controller->module_func_exec('modules', 'is_module_exists', 'cache') and ($s = $alc_controller->module_func_exec('cache', 'get_cache', $cache_dir, $cache_name, true)) !== false) {
			$rows = alc_common_unserialize($s);
			$context_forum_last_topics .= $alc_controller->module_func_exec('cache', 'cache_mark');
		} else {
			$rs = $alc_controller->module_func_exec('db', 'query', $sql);
			if (mysqli_num_rows($rs)) {
				while ($row = mysqli_fetch_assoc($rs)) {
					$rows[] = alc_common_array_strip_slashes($row);
				}
			}
			$alc_controller->module_func_exec('cache', 'write_cache', $cache_dir, $cache_name, alc_common_serialize($rows));
		}
		if (is_array($rows) and count($rows)) {
			$context_forum_last_topics .= '<div class="forum-last-messages">';				
			$context_forum_last_topics .= '<div class="forum-last-messages-title">';
			$context_forum_last_topics .= '<form action="'.alc_common_url_to_furl('?rid='.$alc_controller->module_func_exec('forum_settings', 'get_options_param', 'forum_parent_site_rubric')).'" method="post" name="formForumAddActions">';
			$context_forum_last_topics .= '<input name="alc_forum_list_mode" type="hidden" value="last_topics_list">';
			$context_forum_last_topics .= '<a onclick="javascript: this.parentNode.submit();">'.$alc_controller->module_func_exec('languages', 'get_resource', 'customs', 113).'</a>';
			$context_forum_last_topics .= '</form>';
			$context_forum_last_topics .= '</div>';
			foreach ($rows as $row) {
				$href = '?rid='.$alc_controller->module_func_exec('forum_settings', 'get_options_param', 'forum_parent_site_rubric').'&amp;item=forum_topics&amp;item_id='.$row['id'];
				$href = alc_common_url_to_furl($href);
				$un =  alc_common_get_user_name_or_login($row['u_name'], $row['u_login']);
				$context_forum_last_topics .= '<div class="forum-last-messages-text">'.$alc_controller->module_func_exec('languages', 'get_resource', 'labels', 195, true).': '.$un.'<br><span class="date">'.alc_common_date_to_str($row['added']).'</span><br><a href="'.$href.'">'.alc_common_substr_words($row['title'], 150).'</a></div>';
			}
			$context_forum_last_topics .= '</div>';
		}
	} else {
		$context_forum_last_messages .= alc_common_get_interdiction_access_info('modules', 'forum_topics');
	}
	if ($context_forum_last_topics) {
		$context_forum_last_topics = alc_common_load_external_css_file(alc_common_relative_path().'/_themes/'.alc_common_get_user_theme().'/plugins/css/forum_lasts.css').$context_forum_last_topics;
	}
	alc_common_add_hook_event('alc_hook_context_forum_last_topics', $context_forum_last_topics);
	echo $context_forum_last_topics;
}
?>