<!DOCTYPE html>
<html lang="<?= alc_common_get_lang_site(); ?>">
<head>
<meta charset="utf-8">
<title><?= $alc_controller->module_func_exec('rubrics', 'mark_rubric_meta_tag', 'page_title'); ?></title>
<meta name="description" content="<?= $alc_controller->module_func_exec('rubrics', 'mark_rubric_meta_tag', 'meta_description'); ?>">
<meta name="keywords" content="<?= $alc_controller->module_func_exec('rubrics', 'mark_rubric_meta_tag', 'meta_keywords'); ?>">
<meta name="robots" content="<?= $alc_controller->module_func_exec('rubrics', 'mark_rubric_meta_tag', 'meta_robots'); ?>">
<meta name="generator" content="<?= alc_common_get_system_version(true); ?>">
<?php echo alc_common_get_add_metatags()."\n"; ?>
<?php if ($alc_controller->module_func_exec('modules', 'is_module_exists', 'rss_export')) echo $alc_controller->module_func_exec('rss_export', 'get_alternate_rss', $alc_rid, $alc_item_type); ?>
<link rel="stylesheet" type="text/css" href="<?= alc_common_relative_path(); ?>/_themes/<?= alc_common_get_user_theme(); ?>/css/ustyle.css">
<?php if (is_file(alc_common_local_path().'/_themes/'.alc_common_get_user_theme().'/css/'.alc_common_get_user_theme().'.css')) { ?>
<link rel="stylesheet" type="text/css" href="<?= alc_common_relative_path(); ?>/_themes/<?= alc_common_get_user_theme(); ?>/css/<?= alc_common_get_user_theme(); ?>.css">
<?php } ?>
<?php
$stf = alc_common_local_path().'/_ini/add_styles.txt';
if (is_file($stf)) {
	$s = alc_file_get_file_context($stf);
	if ($s) echo $s."\n";
}
$jquery_path = $alc_controller->module_func_exec('constants', 'get_constant', 'u_jquery_path');
if (!alc_common_extract_host($jquery_path)) $jquery_path = alc_common_relative_path().$jquery_path;
?>
<script src="<?= $jquery_path; ?>"></script>
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "wysiwyg_editor")) echo $alc_controller->module_func_exec("wysiwyg_editor", "load_script_editor", "standard");
?>
<?= alc_common_echo_alc_javascripts_vars(); ?>
<script type="text/javascript" src="<?= alc_common_relative_path(); ?>/_js/alc_common.js"></script>
<script type="text/javascript" src="<?= alc_common_relative_path(); ?>/_js/jquery.alc_show_image.js"></script>
</head>
<body>
<!--system_messages-->
<div style="display: block; position: static; min-width: 100px; width: 100%; clear: both; border: none;"><div class="text-large" style="padding: 5px 15px 4px; background-color: rgb(247, 247, 247);"><div style="position: static; z-index: 0; display: block; float: right; clear: none; border: none;"><div style="border: medium none; padding: 0px 0px 0px 20px; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "login")) require(alc_common_local_path().$alc_controller->module_func_exec("modules", "get_property", "login", "umanager"));
?>
</div></div><div style="display: block; position: static; clear: none; float: left; border: none;"><div style="padding: 0px 20px 0px 0px;">
<?php
$plugin_local = alc_common_local_path()."/_themes/".alc_common_get_user_theme()."/plugins/home_link.php";
if (is_file($plugin_local)) include($plugin_local);
?>
</div></div><div style="display: block; position: static; min-width: 100px; width: 100%; clear: both; border: none;"><div style="min-height: 1px; height: 1px;"></div></div></div></div><div style="width: 100%; position: static; clear: both; z-index: 0; display: block; border: none;"><div style="border: medium none; padding: 10px 15px 0px; min-height: 600px;"><div style="width: 100%; position: static; float: none; clear: none; left: 0px; z-index: 0; display: block; top: 0px; border: none;"><div style="border: medium none; background-position: 0% 0%;"><div style="width: 200px; position: static; float: right; clear: none; z-index: 0; display: block; border: none;"><div style="border: medium none; overflow: hidden; background-position: 0% 0%;"><div style="position: static; z-index: 0; display: block; border: none;"><div style="border: medium none; margin: 0px 0px 10px; background-position: 0% 0%;">
<?php
$plugin_local = alc_common_local_path()."/_themes/".alc_common_get_user_theme()."/plugins/forum_pop_topics.php";
if (is_file($plugin_local)) include($plugin_local);
?>
</div></div><div style="position: static; z-index: 0; display: block; border: none;"><div style="border: medium none; margin: 0px 0px 10px; background-position: 0% 0%;">
<?php
$plugin_local = alc_common_local_path()."/_themes/".alc_common_get_user_theme()."/plugins/forum_last_topics.php";
if (is_file($plugin_local)) include($plugin_local);
?>
</div></div><div style="position: static; z-index: 0; display: block; border: none;"><div style="border: medium none; margin: 0px 0px 10px; background-position: 0% 0%;">
<?php
$plugin_local = alc_common_local_path()."/_themes/".alc_common_get_user_theme()."/plugins/forum_last_messages.php";
if (is_file($plugin_local)) include($plugin_local);
?>
</div></div></div></div><div style="position: static; clear: none; z-index: 0; display: block; border: none;"><div style="border: medium none; padding: 0px; margin: 0px 215px 0px 0px; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "user_finds") and is_file(alc_common_local_path()."/_modules/user_finds/uuser_finds.php")) require(alc_common_local_path()."/_modules/user_finds/uuser_finds.php");
?>
</div></div><div style="position: static; clear: none; z-index: 0; display: block; border: none;"><div style="border: medium none; padding: 0px; margin: 0px 215px 0px 0px; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "forum_users")) require(alc_common_local_path().$alc_controller->module_func_exec("modules", "get_property", "forum_users", "umanager"));
?>
</div></div><div style="position: static; clear: none; z-index: 0; display: block; border: none;"><div style="border: medium none; padding: 0px; margin: 0px 215px 0px 0px; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "forum_rubrics")) require(alc_common_local_path().$alc_controller->module_func_exec("modules", "get_property", "forum_rubrics", "umanager"));
?>
	</div></div><div style="position: static; clear: none; z-index: 0; display: block; border: none;"><div style="border: medium none; padding: 0px; margin: 0px 215px 0px 0px; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "forum_topics")) require(alc_common_local_path().$alc_controller->module_func_exec("modules", "get_property", "forum_topics", "umanager"));
?>
</div></div></div><div style="position: static; clear: none; z-index: 0; display: block; border: none;"><div style="border: medium none; padding: 0px 0px 5px; margin: 0px 215px 0px 0px; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "forum_statistics")) require(alc_common_local_path().$alc_controller->module_func_exec("modules", "get_property", "forum_statistics", "umanager"));
?>
</div></div></div></div></div><div style="display: block; position: static; border: none;"><div style="" class="forum-separator"></div></div>
</body>
</html>