<!DOCTYPE html>
<html lang="<?= alc_common_get_lang_site(); ?>">
<head>
<meta charset="utf-8">
<title><?= $alc_controller->module_func_exec('rubrics', 'mark_rubric_meta_tag', 'page_title'); ?></title>
<meta name="description" content="<?= $alc_controller->module_func_exec('rubrics', 'mark_rubric_meta_tag', 'meta_description'); ?>">
<meta name="keywords" content="<?= $alc_controller->module_func_exec('rubrics', 'mark_rubric_meta_tag', 'meta_keywords'); ?>">
<meta name="robots" content="<?= $alc_controller->module_func_exec('rubrics', 'mark_rubric_meta_tag', 'meta_robots'); ?>">
<meta name="generator" content="<?= alc_common_get_system_version(true); ?>">
<?php echo alc_common_get_add_metatags()."\n"; ?>
<?php if ($alc_controller->module_func_exec('modules', 'is_module_exists', 'rss_export')) echo $alc_controller->module_func_exec('rss_export', 'get_alternate_rss', $alc_rid, $alc_item_type); ?>
<link rel="stylesheet" type="text/css" href="<?= alc_common_relative_path(); ?>/_themes/<?= alc_common_get_user_theme(); ?>/css/ustyle.css">
<?php
$stf = alc_common_local_path().'/_ini/add_styles.txt';
if (is_file($stf)) {
	$s = alc_file_get_file_context($stf);
	if ($s) echo $s."\n";
}
$jquery_path = $alc_controller->module_func_exec('constants', 'get_constant', 'u_jquery_path');
if (!alc_common_extract_host($jquery_path)) $jquery_path = alc_common_relative_path().$jquery_path;
?>
<script src="<?= $jquery_path; ?>"></script>
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "wysiwyg_editor")) echo $alc_controller->module_func_exec("wysiwyg_editor", "load_script_editor", "standard");
?>
<script><?= $alc_javascripts_vars; ?></script>
<script type="text/javascript" src="<?= alc_common_relative_path(); ?>/_js/alc_common.js"></script>
<script type="text/javascript" src="<?= alc_common_relative_path(); ?>/_js/jquery.alc_show_image.js"></script>
</head>
<body>
<!--system_messages-->
<div style="width: 100%; position: static; z-index: 0; display: block; border: none;"><div style="padding: 10px 80px 0px; height: 60px; background-color: rgb(221, 221, 221);"><div style="position: static; clear: none; z-index: 0; display: block; float: left; border: none;"><div style="border: medium none; margin: 0px 50px 0px 0px; background-position: 0% 0%;">
<?php
$plugin_local = alc_common_local_path()."/_themes/".alc_common_get_user_theme()."/plugins/get_banner.php";
if (is_file($plugin_local)) include($plugin_local);
?>
</div></div><div style="position: static; clear: none; z-index: 0; display: block; float: left; border: none;"><div style="border: medium none; padding: 4px 0px 0px; background-position: 0% 0%;">
<?= '<h1 class="page-title">'.$alc_controller->module_func_exec("rubrics", "get_rubric_title", $alc_rid).'</h1>'; ?>
</div></div><div style="position: static; clear: none; z-index: 0; display: block; float: right; border: none;"><div style="border: medium none; padding: 2px 0px 0px 20px; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "login")) require(alc_common_local_path().$alc_controller->module_func_exec("modules", "get_property", "login", "umanager"));
?>
</div></div><div style="position: static; clear: none; z-index: 0; display: block; float: right; border: none;"><div style="border: medium none; padding: 0px 0px 0px 20px; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "orders") and is_file(alc_common_local_path().str_replace(".php", "_link.php", $alc_controller->module_func_exec("modules", "get_property", "orders", "umanager")))) require(alc_common_local_path().str_replace(".php", "_link.php", $alc_controller->module_func_exec("modules", "get_property", "orders", "umanager")));
?>
</div></div></div></div><div style="width: 100%; position: static; clear: both; z-index: 0; display: block; border: none;"><div style="border-top-width: 2px; border-top-style: solid; border-top-color: rgb(102, 102, 102); padding: 0px 80px; margin: 0px 0px 10px; background-color: rgb(102, 102, 102); background-position: 0% 0%;">
<?php
echo alc_common_load_external_js_file(alc_common_relative_path()."/_js/jquery.menu_dropdown.js");
echo $alc_controller->module_func_exec("rubrics", "get_full_all_rubrics_list", $alc_rid, "menu-horizontal-dropdown");
?>
</div></div><div style="display: block; position: static; min-width: 100%; border: none;"><div style="padding: 0px 80px 10px;">
<?= $alc_controller->module_func_exec("rubrics", "get_rubrics_str", $alc_rid, $alc_item_type, $alc_item_id, "menu-string"); ?>
</div></div><div style="width: 100%; position: static; clear: both; z-index: 0; display: block; border: none;"><div style="border: medium none; padding: 0px 80px; background-position: 0% 0%;"><div style="width: 210px; position: static; float: right; clear: none; left: 0px; z-index: 0; display: block; top: 0px; border: none;"><div style="border: medium none; background-position: 0% 0%;"><div style="display: block; position: static; border: none;"><div style="">
<?php 
if ($alc_controller->module_func_exec("modules", "is_module_exists", "votings")) require(alc_common_local_path().$alc_controller->module_func_exec("modules", "get_property", "votings", "umanager"));
?>
</div></div></div></div><div style="position: static; clear: none; z-index: 0; display: block; border: none;"><div style="border: medium none; margin: 0px 250px 0px 0px; background-position: 0% 0%;"><div style="position: static; left: 0px; z-index: 0; display: block; top: 0px; border: none;"><div style="border: medium none; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "orders")) require(alc_common_local_path().$alc_controller->module_func_exec("modules", "get_property", "orders", "umanager"));
?>
</div></div><div style="position: static; left: 0px; z-index: 0; display: block; top: 0px; border: none;"><div style="border: medium none; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "user_finds") and is_file(alc_common_local_path()."/_modules/user_finds/uuser_finds.php")) require(alc_common_local_path()."/_modules/user_finds/uuser_finds.php");
?>
</div></div><div style="position: static; z-index: 0; display: block; border: none;"><div style="border: medium none; background-position: 0% 0%;">
<?php
if ($alc_item_type != "orders") echo $alc_controller->module_func_exec("rubrics", "get_rubric_information", $alc_rid);
?>
</div></div><div style="position: static; left: 0px; z-index: 0; display: block; top: 0px; border: none;"><div style="border: medium none; background-position: 0% 0%;">
<?php
if ($alc_controller->module_func_exec("modules", "is_module_exists", "users")) require(alc_common_local_path().$alc_controller->module_func_exec("modules", "get_property", "users", "umanager"));
?>
	</div></div></div></div></div></div><div style="display: block; position: static; min-width: 100px; border: none;"><div style="padding: 10px 80px;">
<?php
$plugin_local = alc_common_local_path()."/_themes/".alc_common_get_user_theme()."/plugins/mycopyright.php";
if (is_file($plugin_local)) include($plugin_local);
?>
</div></div></body>
</html>