<?php
if (!isset($alc_admin_part)) die('<br>Access denied '.basename(__FILE__));
if (!isset($alc_controller)) die('<br>Failed to load controller. Work program aborted '.basename(__FILE__));

if ($alc_controller->module_func_exec('modules', 'is_module_exists', 'forum_messages')) {
	$context_forum_last_messages = '';
	if (alc_common_user_access('forum_topics')) {
		$tab_prfx = $alc_controller->module_get_prop('forum_topics', 'table_prefix');
		$cur_topic_id = ($alc_item_type == 'forum_topics') ? $alc_item_id : 0;
		$sql_ugrp = "(`ft`.`user_groups` is null or `ft`.`user_groups` = '' or `ft`.`user_groups` like '%".alc_common_real_escape_str($_SESSION['alc_user']['ugroup'])."%')";
		$sql = "select `fm`.*, `ft`.`title` as `t_title`, `ft`.`user_groups` as `t_user_groups`, `fu`.`login` as `u_login`, `fu`.`name` as `u_name`, `fu`.`hide` as `u_hide`, `fu`.`blocked` as `u_blocked` from (select * from `{$tab_prfx}forum_messages` where `forum_message_status` = 'normal' and `added` <= now() and `forum_topic_id` <> {$cur_topic_id} order by `".$alc_controller->module_func_exec('forum_settings', 'get_options_param', 'forum_order_latest_message')."` desc limit 50) `fm` left join `{$tab_prfx}forum_topics` `ft` on `ft`.`id` = `fm`.`forum_topic_id` left join `{$tab_prfx}users` `fu` on `fu`.`id` = `fm`.`user_id` where (`ft`.`forum_topic_status` = 'normal' or `ft`.`forum_topic_status` = 'lock') and {$sql_ugrp} and `ft`.`added` <= now() and `fm`.`forum_message_status` = 'normal' and `fm`.`added` <= now() and `fm`.`forum_topic_id` <> {$cur_topic_id} and `fu`.`hide` = 0 group by `fm`.`forum_topic_id` order by `fm`.`".$alc_controller->module_func_exec('forum_settings', 'get_options_param', 'forum_order_latest_message')."` desc limit 5";
		$cache_dir = $alc_controller->module_get_prop('forum_messages', 'table_name').'_last_messages';
		$cache_name = $cur_topic_id.$sql_ugrp;
		$rows = array();
		if ($alc_controller->module_func_exec('modules', 'is_module_exists', 'cache') and ($s = $alc_controller->module_func_exec('cache', 'get_cache', $cache_dir, $cache_name)) !== false) {
			$rows = alc_common_unserialize($s);
			$context_forum_last_messages .= $alc_controller->module_func_exec('cache', 'cache_mark');
		} else {
			$rs = $alc_controller->module_func_exec('db', 'query', $sql);
			if (mysqli_num_rows($rs)) {
				while ($row = mysqli_fetch_assoc($rs)) {
					$row = alc_common_array_strip_slashes($row);
					$rows[$row['last_update'].$row['id']] = $row;
				}
			}
			krsort($rows);
			reset($rows);
			/*echo('<pre>');
			print_r($rows);
			echo('</pre>');
			die();*/
			$alc_controller->module_func_exec('cache', 'write_cache', $cache_dir, $cache_name, alc_common_serialize($rows));
		}
		if (is_array($rows) and count($rows)) {
			$context_forum_last_messages .= '<div class="forum-last-messages">';
			$context_forum_last_messages .= '<div class="forum-last-messages-title">';
			$context_forum_last_messages .= '<form action="'.alc_common_url_to_furl('?rid='.$alc_controller->module_func_exec('forum_settings', 'get_options_param', 'forum_parent_site_rubric')).'" method="post" name="formForumAddActions">';
			$context_forum_last_messages .= '<input name="alc_forum_list_mode" type="hidden" value="last_messages_list">';
			$context_forum_last_messages .= '<a onclick="javascript: this.parentNode.submit();">'.$alc_controller->module_func_exec('languages', 'get_resource', 'customs', 112).'</a>';
			$context_forum_last_messages .= '</form>';
			$context_forum_last_messages .= '</div>';
			foreach ($rows as $k => $row) {
				$href = '?rid='.$alc_controller->module_func_exec('forum_settings', 'get_options_param', 'forum_parent_site_rubric').'&item=forum_users&item_id='.$row['user_id'];
				$href = alc_common_url_to_furl($href);
				$un =  alc_common_get_user_name_or_login($row['u_name'], $row['u_login']);
				if ($row['u_hide'] or $row['u_blocked']) {
					$un = '<a class="forum-last-messages-user">'.$un.'</a>';
				} else {
					$un = '<a href="'.$href.'" class="forum-last-messages-user">'.$un.'</a>';
				}
				$href = '?rid='.$alc_controller->module_func_exec('forum_settings', 'get_options_param', 'forum_parent_site_rubric').'&item=forum_topics';

				$p = $alc_controller->module_func_exec('forum_messages', 'find_page_for_message_id', $row['forum_topic_id'], $row['id']);
				if ($p) $href .= '&page='.(intval($p) + 1);
				$href .= '&item_id='.$row['forum_topic_id'].'#m'.$row['id'];
				$href = alc_common_url_to_furl($href);
				$s = $row['information'];
				$s = preg_replace("'<\s*?blockquote[^>]*?>.*?<\s*?\/\s*?blockquote\s*?>'siu", ' ['.$alc_controller->module_func_exec('languages', 'get_resource', 'customs', 98, true).']' , $s);
				$s = preg_replace("'<\s*?object[^>]*?>.*?<\s*?\/\s*?object\s*?>'siu", ' ['.$alc_controller->module_func_exec('languages', 'get_resource', 'labels', 264, true).']' , $s);
				$s = preg_replace("'<\s*?img[^>]*?>'siu", ' ['.$alc_controller->module_func_exec('languages', 'get_resource', 'labels', 91, true).']' , $s);
				$s = strip_tags($s, '<br>,<p>,<div>,<ul>,<ol>,<li>,<dd>,<dt>,<h1>,<h2>,<h3>,<h4>,<h5>');
				$s = preg_replace("'<[\/(p|div|ul|ol|li|dd|dt|h1|h2|h3|h4|h5)][^<>]*?>'siu", "\n", $s);
				$s = trim($s);
				$s = preg_replace("'<[^(br /)][\/\!]*?[^<>]*?>'siu", ' ', $s);
				$s = nl2br($s);
				$s = str_replace(array("\r", "\n"), '', $s);
				$s = str_replace("\t", ' ', $s);
				$s = alc_common_replace_double_br_to_br($s);
				$s = alc_common_trim_br($s);
				if (!$s) $s = '-';
				$d = '';
				if (!alc_common_datetime_empty($row['last_update'])) {
					$d = alc_common_date_to_str($row['last_update'], false);
				} elseif (!alc_common_datetime_empty($row['added'])) {
					$d = alc_common_date_to_str($row['added'], false);
				}
				$context_forum_last_messages .= '<div class="forum-last-messages-text">'.$alc_controller->module_func_exec('languages', 'get_resource', 'labels', 195, true).': '.$un.'<br><span class="date">'.$d.'</span><br><a href="'.$href.'" title="'.alc_common_doublequotes_to_quotes($alc_controller->module_func_exec('languages', 'get_resource', 'customs', 106).': '.$row['t_title']).'">'.alc_common_substr_words($s, 150).'</a></div>';
			}
			$context_forum_last_messages .= '</div>';
			if ($alc_controller->module_func_exec('forum_settings', 'get_options_param', 'forum_use_animation') and is_file(alc_common_local_path().'/_modules/forum_messages/js/jquery.forums.js')) {
				$context_forum_last_messages = alc_common_load_external_js_file(alc_common_relative_path().'/_modules/forum_messages/js/jquery.forums.js').$context_forum_last_messages;
			}
		}
	} else {
		$context_forum_last_messages .= alc_common_get_interdiction_access_info('modules', 'forum_topics');
	}
	if ($context_forum_last_messages) {
		$context_forum_last_messages = alc_common_load_external_css_file(alc_common_relative_path().'/_themes/'.alc_common_get_user_theme().'/plugins/css/forum_lasts.css').$context_forum_last_messages;
	}
	alc_common_add_hook_event('alc_hook_context_forum_last_messages', $context_forum_last_messages);
	echo $context_forum_last_messages;
}